h46792
s 00004/00000/00062
d D 1.3 83/03/08 18:38:10 mjb 4 3
c vi
e
s 00017/00016/00045
d D 1.2 83/01/26 17:40:53 mjb 3 1
c fix for new menus
e
s 00000/00000/00061
d R 1.2 83/01/20 17:42:41 mjb 2 1
c no changes were made looked at parameter mismatches
e
s 00061/00000/00000
d D 1.1 83/01/20 11:10:31 tes 1 0
c date and time created 83/01/20 11:10:31 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine ggaatt 
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Get current graph chart attributes for advanced graph  #
#               edit menu and put into common                          #
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            none                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            qgeta - put alpha data to memory                          #
#            qgetd - put decimal data to memory                        #
#            qgeti - put integer data to memory                        #
#                                                                      #
########################################################################
D 3
integer i, j, item
E 3
I 3
integer i, item
I 4
integer gimnmx
E 4
E 3

include(`gphcom')

   i = 1
   do item = 1, 15 {
      call qgeti (item, bgtclr(i))   # current graph chart title colors etc.   
      i = i + 1
      }
    
D 3
   call qgeta (16, bgstfg)       # current graph stacking on flag
   call qgeta (17, bgbrfg)       # current graph border flag
E 3
I 3
   call qgeta (16, bgbrfg)       # current graph border flag
   call qgeta (17, bgfrfg)       # current graph axes frame flag
E 3

D 3
   call qgeti (18, bgbrcl)       # current graph border color        
   call qgeti (19, bgbrwd)       # current graph border width
   call qgeti (20, bgclus)       # current graph cluster factor
E 3
I 3
   i = 1
   do item = 18, 21 {
      call qgeti (item, bgbrcl(i))  # current graph border/frame  color/width  
      i = i + 1
      }
E 3

D 3
   call qgeta (21, bgbard)       # current graph bar direction
E 3
I 3
   call qgeta (22, bgblfg)       # current graph baseline flag
   call qgetd (23, bgblin)       # current graph baseline value
E 3

D 3
   call qgetd (22, bgbarw)       # current graph bar width
E 3
I 3
   call qgeti (24, bgclus)       # current graph cluster factor
I 4
   item = bgclus
   bgclus = gimnmx (item, 1, 5)

E 4
   call qgeta (25, bgbard)       # current graph bar direction
   call qgetd (26, bgbarw)       # current graph bar width
E 3
   
I 3
   call qgeta (27, bgstfg)       # current graph stacking on flag
E 3

D 3
   j = 1
   item = 23
   do i = 1, 5 {             
      call qgeta (item, bgptfl(j)) # current graph pts labeled flag
E 3
I 3
   item = 28
   do i = 1, 10, 2 {             
      call qgeta (item, bgptfl(i)) # current graph pts labeled flag
E 3
      item = item + 1
D 3
      call qgeta (item, bgrgfl(j)) # current graph regression flag
      item = item + 1
      j = j + 2
E 3
      }
D 3

E 3

return
end
E 1
